Bug 6068 - AJP13 'bad read', IOException
Summary: AJP13 'bad read', IOException
Status: RESOLVED FIXED
Alias: None
Product: Tomcat Connectors
Classification: Unclassified
Component: Common (show other bugs)
Version: unspecified
Hardware: PC Linux
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-28 15:53 UTC by Nick Wesselman
Modified: 2008-10-05 03:07 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Wesselman 2002-01-28 15:53:18 UTC
There are many AJP13 errors in my catalina.out:

[Ajp13] bad read: -103
Ajp13Processor[8011][2] process:  done

(repeated many, many times)

and

java.io.IOException: Broken pipe
        at java.net.SocketOutputStream.socketWrite(Native Method)
        at java.net.SocketOutputStream.write(SocketOutputStream.java:83)
        at org.apache.ajp.Ajp13.send(Ajp13.java:966)
        at org.apache.ajp.Ajp13.finish(Ajp13.java:815)
        at
org.apache.ajp.tomcat4.Ajp13Response.finishResponse(Ajp13Response.java:192)
        at org.apache.ajp.tomcat4.Ajp13Processor.process(Ajp13Processor.java:373)
        at org.apache.ajp.tomcat4.Ajp13Processor.run(Ajp13Processor.java:424)
        at java.lang.Thread.run(Thread.java:484)

This happens occasionally. At some point, both Apache and Tomcat become
sporadically unresponsive, and when you can get through, Apache gives an
Internal Server Error. The number of Tomcat-spawned java threads often seems to
spike around the same time.
Comment 1 Costin Manolache 2002-06-12 21:17:51 UTC
This has been fixed in the nightly builds. Please reopen if you still see this 
problem
Comment 2 Nick Wesselman 2002-06-13 14:07:00 UTC
Will this fix make it into 4.0.4?